/*
 * Copyright (c) 1998-2008 TeamDev Ltd. All Rights Reserved.
 * Use is subject to license terms.
 */
package com.teamdev.xpcom.mozilla.demo;

import java.net.URL;
import java.util.HashSet;
import java.util.Set;

import com.teamdev.jxbrowser.ContentHandler;
import com.teamdev.jxbrowser.DownloadManager;
import com.teamdev.jxbrowser.DownloadManagerFactory;
import com.teamdev.jxbrowser.WebBrowser;

public class DownloadContentHandler implements ContentHandler
{

    private WebBrowser browser;

    private Set<String> contents = new HashSet<String>();

    public DownloadContentHandler(WebBrowser browser)
    {
        this.browser = browser;
        contents.add("text/html");
        contents.add("text/plain");
        contents.add("text/richtext");
        contents.add("text/x-setext");
        contents.add("text/enriched");
        contents.add("text/tab-separated-values");
        contents.add("text/sgml");
        contents.add("text/x-speech");
        contents.add("text/css");
        contents.add("text/xml");
        contents.add("application/dsssl (proposed)");
    }

    public synchronized boolean canHandleContent(String contentType)
    {
        return !contents.contains(contentType);
    }

    public synchronized void handleContent(URL url)
    {
        DownloadManager manager = DownloadManagerFactory.getInstance().getDownloadManager(browser);
        manager.addDownload(url);
    }

    public synchronized boolean isPreferred(String contentType)
    {
        return !contents.contains(contentType);
    }

}
