/*
 * Copyright (c) 1998-2008 TeamDev Ltd. All Rights Reserved.
 * Use is subject to license terms.
 */
package com.teamdev.xpcom.mozilla.demo.components;

import java.awt.Dimension;
import java.awt.Window;

import javax.swing.JDialog;
import javax.swing.JProgressBar;

@SuppressWarnings("serial")
public class ProgressDialog extends JDialog
{

    private JProgressBar progressBar;

    public ProgressDialog(Window owner, String caption)
    {
        setLocationRelativeTo(owner);
        initComponents();
    }

    private void initComponents()
    {
        progressBar = new JProgressBar();
        progressBar.setPreferredSize(new Dimension(300, 24));
        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        add(progressBar);
        pack();
        setVisible(true);
    }

    public JProgressBar getProgressBar()
    {
        return progressBar;
    }

}
