/*
 * DO NOT EDIT.  THIS FILE IS GENERATED FROM
 * d:/Mozilla/mozilla/toolkit/components/url-classifier/public/nsIUrlListManager.idl
 */

package org.mozilla.interfaces;

public interface nsIUrlListManager extends nsISupports {

  String NS_IURLLISTMANAGER_IID =
    "{9c5598ec-9986-40cf-af40-b5e0d817a3a0}";

  /**
     * Set the URL we check for updates.
     */
  void setUpdateUrl(String url);

  /**
     * Set the URL we use to get keys used to decrypt URLs in
     * enchash tables.
     */
  void setKeyUrl(String url);

  /**
     * Set the URL that we will query for complete hashes after a partial
     * hash match.
     */
  void setGethashUrl(String url);

  /**
     * Add a table to the list of tables we are managing.  The name is a
     * string of the format provider_name-semantic_type-table_type.  For
     * example, goog-white-enchash or goog-black-url.
     */
  boolean registerTable(String tableName, boolean requireMac);

  /**
     * Turn on update checking for a table.  I.e., during the next server
     * check, download updates for this table.
     */
  void enableUpdate(String tableName);

  /**
     * Turn off update checking for a table.
     */
  void disableUpdate(String tableName);

  /**
     * Lookup a key.  Should not raise exceptions.  Calls the callback
     * function with a comma-separated list of tables to which the key
     * belongs.
     */
  void safeLookup(String key, nsIUrlListManagerCallback cb);

  void checkForUpdates();

}